Bug 1281998 - Review Request: python-stuf - Fancy python dictionary types
Review Request: python-stuf - Fancy python dictionary types
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Julien Enselme
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1281992
  Show dependency treegraph
 
Reported: 2015-11-13 21:48 EST by Ralph Bean
Modified: 2015-12-19 20:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 08:24:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jujens: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2015-11-13 21:48:53 EST
Spec URL: http://ralph.fedorapeople.org//python-stuf.spec
SRPM URL: http://ralph.fedorapeople.org//python-stuf-0.9.16-1.fc23.src.rpm

Description:
A collection of Python dictionary types that support attribute-style
access. Includes *defaultdict*,  *OrderedDict*, restricted, *ChainMap*,
*Counter*, and frozen implementations plus miscellaneous utilities for
writing Python software.
Comment 1 Upstream Release Monitoring 2015-11-13 21:53:24 EST
ralph's scratch build of python-stuf-0.9.16-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11827329
Comment 2 Upstream Release Monitoring 2015-11-14 08:46:30 EST
ralph's scratch build of python-stuf-0.9.16-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11834997
Comment 3 Upstream Release Monitoring 2015-11-14 08:53:35 EST
ralph's scratch build of python-stuf-0.9.16-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11834999
Comment 4 Julien Enselme 2015-11-27 08:03:12 EST
- Please remove upstream's egg-info
See below for the rest.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 28 files have unknown
     license. Detailed output of licensecheck in /tmp/1281998-python-
     stuf/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
     I guess this is a false positive after the switch to python 3.5
     
[X]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
     I guess this is a false positive after the switch to python 3.5
     
[!]: Package contains no bundled libraries without FPC exception.
Package contains six. Please remove it and add it as a dependency.

[!]: Changelog in prescribed format.
Your name and e-mail address are missing.

[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
python-six and python3-six are missing. python2-parse doen't exits. It must be renamed into python-parse:
results/root.log:DEBUG util.py:393:  Error: nothing provides python2-parse needed by python2-stuf-0.9.16-1.fc24.noarch.

[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
In the %python_provides macro you use the %module macro instead of %modname

[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-stuf , python3-stuf
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
Package include tests, you should launch them.

[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /tmp/1281998-python-stuf/results/python2-stuf-0.9.16-1.fc24.noarch.rpm /tmp/1281998-python-stuf/results/python3-stuf-0.9.16-1.fc24.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 install /tmp/1281998-python-stuf/results/python2-stuf-0.9.16-1.fc24.noarch.rpm /tmp/1281998-python-stuf/results/python3-stuf-0.9.16-1.fc24.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: python2-stuf-0.9.16-1.fc24.noarch.rpm
          python3-stuf-0.9.16-1.fc24.noarch.rpm
          python-stuf-0.9.16-1.fc24.src.rpm
python2-stuf.noarch: W: spelling-error %description -l en_US defaultdict -> default dict, default-dict, defaulter
python2-stuf.noarch: W: unexpanded-macro Obsoletes python-%{module} < 0.9.16-1.fc24 %{module}
python2-stuf.noarch: W: unexpanded-macro Obsoletes python-%{module}(x86-64) < 0.9.16-1.fc24 %{module}
python2-stuf.noarch: W: unexpanded-macro Provides python-%{module} = 0.9.16-1.fc24 %{module}
python2-stuf.noarch: W: unexpanded-macro Provides python-%{module}(x86-64) = 0.9.16-1.fc24 %{module}
python3-stuf.noarch: W: spelling-error %description -l en_US defaultdict -> default dict, default-dict, defaulter
python3-stuf.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/stuf/__pycache__/base.cpython-35.opt-1.pyc
python3-stuf.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/stuf/__pycache__/iterable.cpython-35.opt-1.pyc
python3-stuf.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/stuf/__pycache__/desc.cpython-35.opt-1.pyc
python3-stuf.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/stuf/__pycache__/patterns.cpython-35.opt-1.pyc
python3-stuf.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/stuf/__pycache__/utils.cpython-35.opt-1.pyc
python3-stuf.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/stuf/__pycache__/collects.cpython-35.opt-1.pyc
python3-stuf.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/stuf/__pycache__/core.cpython-35.opt-1.pyc
python3-stuf.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/stuf/__pycache__/six.cpython-35.opt-1.pyc
python3-stuf.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/stuf/__pycache__/__init__.cpython-35.opt-1.pyc
python3-stuf.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/stuf/__pycache__/deep.cpython-35.opt-1.pyc
python3-stuf.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/stuf/__pycache__/xreload.cpython-35.opt-1.pyc
python3-stuf.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/stuf/__pycache__/_core.cpython-35.opt-1.pyc
python-stuf.src: W: spelling-error %description -l en_US defaultdict -> default dict, default-dict, defaulter
3 packages and 0 specfiles checked; 0 errors, 19 warnings.




Requires
--------
python3-stuf (rpmlib, GLIBC filtered):
    python(abi)
    python3-parse

python2-stuf (rpmlib, GLIBC filtered):
    python(abi)
    python2-parse



Provides
--------
python3-stuf:
    python3-stuf

python2-stuf:
    python-%{module}
    python-%{module}(x86-64)
    python2-stuf



Source checksums
----------------
https://pypi.python.org/packages/source/s/stuf/stuf-0.9.16.tar.gz :
  CHECKSUM(SHA256) this package     : 080a88b940ca844474c239cc7aab0c530187e637a9dc6df111a99e2955bb35db
  CHECKSUM(SHA256) upstream package : 080a88b940ca844474c239cc7aab0c530187e637a9dc6df111a99e2955bb35db


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1281998
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Ralph Bean 2015-11-30 13:38:32 EST
Here's an update that should fix all of the mentioned issues except for running the tests.  There appears to be a bug in the ordereddict implementation that causes them to fail.

Spec URL: http://threebean.org/rpm/SPECS/python-stuf.spec
SRPM URL: http://threebean.org/rpm/SRPMS/python-stuf-0.9.16-2.fc23.src.rpm
Comment 6 Julien Enselme 2015-11-30 15:05:11 EST
If the install section for python3, you wrote:
rm -rf %{buildroot}%{python2_sitelib}/stuf/six.py*
ln -s ../six.py %{buildroot}/%{python2_sitelib}/stuf/six.py

instead of
rm -rf %{buildroot}%{python3_sitelib}/stuf/six.py*
ln -s ../six.py %{buildroot}/%{python3_sitelib}/stuf/six.py


The rest looks good. If you fix this, I will approve the package.
Comment 7 Ralph Bean 2015-12-01 12:27:44 EST
Good eye, thank you!

Here's an update with that fix:

Spec URL: http://threebean.org/rpm/SPECS/python-stuf.spec
SRPM URL: http://threebean.org/rpm/SRPMS/python-stuf-0.9.16-3.fc23.src.rpm
Comment 8 Julien Enselme 2015-12-01 13:04:19 EST
Looks good. Approved!
Comment 9 Gwyn Ciesla 2015-12-02 09:15:49 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-stuf
Comment 10 Fedora Update System 2015-12-02 09:47:59 EST
python-stuf-0.9.16-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0109f4cfc3
Comment 11 Fedora Update System 2015-12-02 09:48:06 EST
python-stuf-0.9.16-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-549e8d253e
Comment 12 Fedora Update System 2015-12-02 23:20:22 EST
python-stuf-0.9.16-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-stuf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-549e8d253e
Comment 13 Fedora Update System 2015-12-03 11:01:41 EST
python-stuf-0.9.16-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-stuf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0109f4cfc3
Comment 14 Fedora Update System 2015-12-03 20:36:40 EST
python-stuf-0.9.16-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-stuf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6d8ca60bef
Comment 15 Fedora Update System 2015-12-15 08:24:41 EST
python-stuf-0.9.16-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-12-15 10:21:26 EST
python-stuf-0.9.16-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-12-19 20:41:29 EST
python-stuf-0.9.16-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.